Skip to content

List a subscription's documents

GET
/api/v1/subscriptions/{id}/documents
curl --request GET \
--url http://127.0.0.1:8484/api/v1/subscriptions/example/documents \
--header 'Authorization: Bearer <token>'

The files attached to a subscription (contract, terms, invoices and receipts), newest first: name, kind, size, the charge an invoice belongs to and the path to download it.

id
required
string

OK

Media typeapplication/json
object
$schema

A URL to the JSON Schema for this object.

string format: uri
documents
required
Array<object> | null
object
chargeId
string
createdAt
required
string format: date-time
createdBy
required
string
id
required
string
kind
required
string
Allowed values: contract invoice other logo
mediaType
required
string
name
required
string
path
string
sha256
required
string
size
required
integer format: int64
subscriptionId
required
string
url
required
string

Example

{
"$schema": "https://example.com/api/schemas/DocumentList.json",
"documents": [
{
"kind": "contract"
}
]
}

Error

Media typeapplication/problem+json
object
$schema

A URL to the JSON Schema for this object.

string format: uri
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object> | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"$schema": "https://example.com/api/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}